"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
// Components:
const React = require("react");
const classnames_1 = require("classnames");
const react_video_cover_1 = require("react-video-cover");
const getClassNames_1 = require("../../utils/getClassNames");
exports.Box = React.memo(React.forwardRef((props, ref) => {
    const { children, className, divProps, gradient, image, style, type, video } = props, rest = __rest(props
    // Typ:
    , ["children", "className", "divProps", "gradient", "image", "style", "type", "video"]);
    // Typ:
    const Tag = type;
    // Background image:
    let backgroundImage = 'none';
    if (image)
        backgroundImage = `url(${image})`;
    if (gradient)
        backgroundImage = gradient;
    // ============================================
    const renderVideo = () => video && (React.createElement(react_video_cover_1.default, { className: "Box-video absolute", videoOptions: {
            src: video,
            autoPlay: true,
            loop: true,
            muted: true // needed for chrome
        } }));
    return (React.createElement(Tag, Object.assign({ className: classnames_1.default(className && className, getClassNames_1.getClassNames(rest)), style: Object.assign({}, style, { backgroundImage }), children: video ? [renderVideo(), children] : children }, divProps, { ref: ref })));
}));
exports.Box.defaultProps = {
    display: 'flex',
    position: 'relative',
    type: 'div',
    w: 'full'
};
