"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Components:
const React = require("react");
const classnames_1 = require("classnames");
exports.Checkbox = React.memo(({ checked, className, disabled = false, id, label, name, onCheck, small, style, value }) => {
    // Click handler:
    const clicked = () => {
        !disabled && onCheck();
    };
    const keyCode = {
        SPACE: 32
    };
    const keyDownHandler = (e) => {
        if (e.keyCode === keyCode.SPACE && !disabled && onCheck) {
            e.preventDefault();
            onCheck();
        }
    };
    return (React.createElement("div", { "aria-checked": checked || false, className: classnames_1.default(className && className, 'Checkbox flex justify-start items-end focus:outline-none', small && 'small'), style: style, role: "checkbox", onKeyDown: keyDownHandler, tabIndex: 0 },
        React.createElement("div", { className: classnames_1.default(`Checkbox-input hover:cursor-${disabled ? 'not-allowed' : 'pointer'} flex justify-center items-center`), id: id, onClick: clicked },
            React.createElement("div", { className: classnames_1.default('Checkbox-checkmark -rotate-45 transition', checked ? 'opacity-100 ' : 'opacity-0') }),
            React.createElement("input", { type: "checkbox", name: name, value: value, defaultChecked: checked, className: "Checkbox-input hidden" })),
        React.createElement("label", { className: classnames_1.default(`Checkbox-label hover:cursor-${disabled ? 'not-allowed' : 'pointer'}`), onClick: clicked }, label)));
});
