"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const Button_1 = require("components/Button");
const react_2 = require("@storybook/addon-knobs/react");
const DialogDemo = () => {
    const [open, setOpen] = React.useState(false);
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(Button_1.Button, { onClick: () => setOpen(true) }, "open Dialog"),
        React.createElement(_1.Dialog, { className: react_2.text('className', 'flex justify-center items-center text-white'), open: open, onClose: () => setOpen(false) },
            React.createElement(Button_1.Button, { onClick: () => setOpen(false), type: "error" }, "close Dialog"))));
};
react_1.storiesOf('Components/Dialog', module).addWithJSX('A basic component can be used as dialog', () => (React.createElement("div", { style: { padding: '20px 40px' } },
    React.createElement(_1.Dialog, { className: react_2.text('className', 'flex justify-center items-center w-1/2 h-64'), color: react_2.text('color', 'black'), onClose: () => null, opacity: react_2.number('opacity', 50), open: react_2.boolean('open', false) }, react_2.text('chidren', 'Hello World')))));
react_1.storiesOf('Components/Dialog/Demo', module).addWithJSX('of Dialog', () => React.createElement(DialogDemo, null));
react_1.storiesOf('Components/Dialog/LiveEdit', module).addLiveSource('Dialog', `
  const Demo = () => {
    const [open, setOpen] = React.useState(false)
  
    return (
      <div style={{ padding: '20px 40px' }}>
        <Button onClick={() => setOpen(true)} p="4">open Dialog</Button>
        <Dialog
          className={'flex justify-center items-center text-white'}
          open={open}
          onClose={() => setOpen(false)}
        >
          <Button onClick={() => setOpen(false)} bg="error" p="4">
            close Dialog
          </Button>
        </Dialog>
      </div>
    )
  }
  return <Demo/>`, {
    Dialog: _1.Dialog,
    Button: Button_1.Button
});
