"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const classnames_1 = require("classnames");
const getClassNames_1 = require("../../utils/getClassNames");
exports.Headline = React.memo(React.forwardRef((props, ref) => {
    const { bold, center, children, color, className, headingProps, hover, level, uppercase, style, size, text: tx } = props, styleProps = __rest(props, ["bold", "center", "children", "color", "className", "headingProps", "hover", "level", "uppercase", "style", "size", "text"]);
    const Tag = `h${level}`;
    const textStyle = { text: tx ? tx : '' };
    if (color && color.length > 0)
        textStyle.text += ',' + color;
    if (size && size.length > 0)
        textStyle.text += ',' + size;
    if (hover && hover.length > 0)
        textStyle.text +=
            ',' +
                hover
                    .split(',')
                    .map(val => 'hover:' + val.trim())
                    .reduce((prev, cur) => prev + ',' + cur);
    if (textStyle.text.charAt(0) === ',')
        textStyle.text = textStyle.text.substr(1);
    return (React.createElement(Tag, Object.assign({ className: classnames_1.default('Headline', bold && 'font-bold', center && 'text-center', uppercase && 'uppercase', getClassNames_1.getClassNames(textStyle), getClassNames_1.getClassNames(styleProps), className && className), style: style }, headingProps, { ref: ref }), children));
}));
exports.Headline.defaultProps = {
    level: '3'
};
